io.milvus.param.collection

## Class DropCollectionParam.Builder

- java.lang.Object
- - io.milvus.param.collection.DropCollectionParam.Builder

Enclosing class:
  DropCollectionParam

    public static final class DropCollectionParam.Builder
    extends java.lang.Object

Builder for `DropCollectionParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`DropCollectionParam` `build()` Verifies parameters and creates a new `DropCollectionParam` instance.
`DropCollectionParam.Builder` `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
`DropCollectionParam.Builder` `withDatabaseName(java.lang.String databaseName)` Sets the collection name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withDatabaseName

    public DropCollectionParam.Builder withDatabaseName(java.lang.String databaseName)

Sets the collection name. Database name can empty or null.

Parameters:
  `databaseName` - database name
Returns:
  `Builder`

#### withCollectionName

    public DropCollectionParam.Builder withCollectionName(@NonNull
                                                          @NonNull java.lang.String collectionName)

Sets the collection name. Collection name cannot be empty or null.

Parameters:
  `collectionName` - collection name
Returns:
  `Builder`

#### build

    public DropCollectionParam build()
                              throws ParamException

Verifies parameters and creates a new `DropCollectionParam` instance.

Returns:
  `DropCollectionParam`
Throws:
  `ParamException`